import StorageBase from "./StorageBase";
export default class GroupStorage extends StorageBase {
    get id() {
        return this.state.get("id");
    }
    set id(value) {
        this.state.get("id", value);
    }
    get descriptionHeight() {
        return this.state.get("descriptionHeight");
    }
    set descriptionHeight(value) {
        this.state.set("descriptionHeight", value);
    }
    get expanded() {
        return this.state.get("expanded", []);
    }
    get filter() {
        return this.state.get("name");
    }
    set filter(value) {
        this.state.set("name", value);
    }
    get labelWidth() {
        return this.state.get("labelWidth");
    }
    set labelWidth(value) {
        this.state.set("labelWidth", value);
    }
    get scroll() {
        return this.state.get("scroll");
    }
    set scroll(value) {
        this.state.set("scroll", value);
    }
}
